Subject: bug#78214: closed (Re: [PATCH electronics-team] gnu: symbiyosys: Use abc-yosyshq.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 03 May 2025 16:09:02 +0000

Your bug report

#78214: [PATCH electronics-team] gnu: yosys: Use abc-yosyshq.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78214: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78214
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH electronics-team] gnu: symbiyosys: Use abc-yosyshq.
From: Andreas Enge <[email-masked]>
To: Cayetano Santos <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 3 May 2025 18:08:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Cayetano,

Am Fri, May 02, 2025 at 08:07:11PM +0200 schrieb Cayetano Santos:
> You need to apply my previous patch before, #78214, to fix yosys (used
> by symbiyosys)
> Sorry, I though it was clear. I should have sent a single patch with the
> two commits instead.

maybe it would have been clear had I seen the first patch, but I just
picked a random one from the list of untreated issues :)

Both are pushed now, thanks!

Andreas

Subject: [PATCH electronics-team] gnu: yosys: Use abc-yosyshq.
From: Cayetano Santos <[email-masked]>
To: [email-masked]
Cc: Cayetano Santos <[email-masked]>
Date: Fri, 2 May 2025 16:22:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/fpga.scm (yosys): Use abc-yosyshq.

Change-Id: Id0a3f9c561f414261af2e7c7bd8cb82b6a0322cd
---

Yosys, by YosysHQ, uses a fork of abc from Berkeley, that guix packages as abc-yosyshq.

[inputs]: Replace abc y abc-yosyshq.

 gnu/packages/fpga.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/fpga.scm b/gnu/packages/fpga.scm
index 7c71973878..2298dde595 100644
--- a/gnu/packages/fpga.scm
+++ b/gnu/packages/fpga.scm
@@ -254,7 +254,7 @@ (define-public yosys
                          pkg-config
                          python
                          tcl)) ;tclsh for the tests
-    (inputs (list abc
+    (inputs (list abc-yosyshq
                   bash-minimal
                   graphviz
                   gtkwave

base-commit: 5d5c0dfcdaff9205b3fe8f7822f16ad55743df8a
--
2.49.0